using System;
using System.Collections;
using System.Collections.Generic;
using NUnit.Framework;

using XmlObjects;

namespace XmlObjectsTestUnits
{
  /// <summary>
  /// Using the ProvidedFieldsSupport functionality.
  ///   If the provided support field is defined before the associated field, is not
  ///    considered a support field.
  /// </summary>
  [TestFixture]
  public class TestC04ProvidedFields : CommonTest
  {
    static string xmlToFormat = @"
      <Wsm times='0' timesAttributeProvided='true'/>
    ";


    public class Wsm
    {
      public bool timesAttributeProvided;
      public int times;
    };

    [Test]
    public void test()
    {
      check((Wsm)LoadXml(typeof(Wsm), xmlToFormat));
    }
    [Test]
    public void testWrite()
    {
      check((Wsm)SaveAndLoad(LoadXml(typeof(Wsm), xmlToFormat)));
    }
    private void check(Wsm wsm)
    {
      Assert.IsTrue(wsm.timesAttributeProvided);
      Assert.AreEqual(wsm.times, 0);
    }
  }
}
